/* XX-Large devices (larger desktops, 1400px and up) */
@media (max-width: 1400px) {
  .container {
    padding-left: 70px;
    padding-right: 70px;
  }

  .checkout-wrapper,
  .account-setting-wrapper {
    grid-template-columns: 1fr 400px;
  }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (max-width: 1200px) {
  .container {
    padding-left: 50px;
    padding-right: 50px;
  }
}

@media (max-width: 1075px) {
  .checkout-wrapper,
  .account-setting-wrapper {
    grid-template-columns: 1fr 300px;
  }
  .navbar-container {
    gap: 8px;
  }

  .input-form-group {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .header-nav-toggle-btn,
  .wrap-header-logo {
    display: block;
    text-decoration: none;
  }

  .wrap-header-logo .icon {
    width: 50px;
    height: 50px;
  }

  .wrap-header-logo p {
    font-weight: 700;
    font-size: 28px;
    color: var(--funkyRed);
  }

  .navbar {
    height: 100vh;
    width: 0px;
    position: absolute;
    right: -40px;
    top: 0;
    z-index: 15;
    overflow: auto;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: nowrap;
    gap: 20px;
    background: linear-gradient(
      135deg,
      #fff7ed 0%,
      #ffffff 35.36%,
      #f0fdfa 70.71%
    );
    transition: all 0.4s ease-in-out;
  }

  .nav-open .navbar {
    width: 320px;
    right: 0px;
  }

  .navbar ul {
    width: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    padding: 0;
  }

  .navbar ul li {
    width: 100%;
    padding: 0 8px;
    display: flex;
  }

  .navbar ul li.active {
    padding: 8px;
    border-radius: 8px;
    background-color: var(--exoticSkin);
  }

  .navbar ul li a {
    font-size: 18px;
    display: flex;
    align-items: center;
  }

  .navbar ul li.active a {
    color: var(--white);
  }

  .nav-open .header-nav-overlay {
    z-index: 11;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.4);
    content: "";
  }

  .ready-to-find-wrapper {
    padding: 50px 0;
  }
}

/* // Large devices (desktops, 992px and up) */
@media (max-width: 992px) {
  .container {
    padding-left: 30px;
    padding-right: 30px;
  }
  .checkout-wrapper,
  .account-setting-wrapper {
    grid-template-columns: 1fr;
  }
}

/* // Medium devices (tablets, 768px and up) */
@media (max-width: 768px) {
  .navbar-container .nav-logo p {
    display: none;
  }
  .container {
    padding-left: 20px;
    padding-right: 20px;
  }
  .cta-wrapper {
    padding: 20px;
  }
}

/* // Small devices (landscape phones, 576px and up) */
@media (max-width: 576px) {
  .auth-box {
    padding: 10px;
  }

  .auth-title-box {
    padding: 0px;
  }

  .otp-input-box {
    gap: 8px;
  }
  .otp-input-box .otp-input {
    width: 46px;
    height: 46px;
  }
  h1.about-us-main-heading {
    font-size: 42px;
    line-height: 56px;
  }

  .ready-to-find-wrapper h2 {
    font-size: 32px;
  }

  .ready-to-find-wrapper p {
    font-size: 16px;
  }

  .ready-to-find-wrapper button.btn1,
  .ready-to-find-wrapper button.btn2 {
    font-size: 12px;
  }
}
